#####################################################
push!(LOAD_PATH, pwd())

using ForwardDiff
using problema

indp = 8
#try 
	(n,m,p,f,g,h,x0) = use(indp)

	probname = "ex4"
	prob = find(collection,probname)

	if prob == nothing
		println("\n\nERROR")
		println("Problem name : ",probname," not found\n")
	else
		(n,m,p,f,g,h,x0) = use(prob)
		include("prob_util.jl")

		x = [-1,-3]
		la = zeros(m)
		mu = zeros(p)

		x = [-1,2]
		x = [4/11,sqrt(1-16/121)]
		x = zeros(n)
		mu = zeros(p)
		la = zeros(m)

		mask = trues(m)
		iact = collect(1:m)
		mact = length(iact)

		if m > 0
		   #indici dei vincoli attivi
		   iact = [1]
		   mact = length(iact)
		end

		mask[iact] = false

		#indici dei vincoli NON attivi
		inac = collect(1:m)[mask]
		mnac = length(inac)


		while true

			#metto a zero i moltiplicatori dei vincoli NON attivi
			la[inac] = 0.0

			res = norm(F(x,la,mu,iact))
			@printf("%13.6e\n",res)
			if res < 1.e-10
				break
			end
			d = -inv(JF(x,la,mu,iact))*F(x,la,mu,iact)
			x += d[1:n]
			if mact > 0
				la[iact] += d[n+1:n+mact]
			end
			if p > 0
				mu += d[n+mact+1:n+mact+p]
			end
		end
	end
#catch
#	println("\n\nERROR")
#	println("Problem index : ",indp," not found\n")
#end

nothing


